<?php

add_action( 'admin_init', 'custom_theme_options', 1 );

function custom_theme_options() {

  $saved_settings = get_option( 'option_tree_settings', array() );
  

  $custom_settings = array(
    'sections'        => array(
      array(
        'id'          => 'general',
        'title'       => 'Site Settings'
      ),
	  array(
        'id'          => 'blog',
        'title'       => 'Blog Setting'
      ),
	  array(
        'id'          => 'social',
        'title'       => 'Social setting'
      ),
	  array(
        'id'          => 'ads',
        'title'       => 'Ads setting'
      ),
	  array(
        'id'          => 'footer',
        'title'       => 'Footer setting'
      ),
	  
	  
	  
    
    ),
    'settings'        => array(
	  array(
			'id'		=> 'favicon',
			'label'		=> 'Favicon',
			'desc'		=> 'Upload a 16x16px Png/Gif image that will be your favicon',
			'type'		=> 'upload',
			'section'	=> 'general'
		),
	
	
	  array(
			'id'			=> 'excerpt-length',
			'label'			=> 'Excerpt Length',
			'desc'			=> 'Max number of words',
			'std'			=> '34',
			'type'			=> 'numeric-slider',
			'section'		=> 'blog',
			'min_max_step'	=> '0,100,1'
		),
	
		array(
			'id'		=> 'page-comments',
			'label'		=> 'Page Comments',
			'desc'		=> 'Comments on pages',
			'std'		=> 'off',
			'type'		=> 'on-off',
			'section'	=> 'blog'
		),
	 
	   
	  array(
        'id'          => 'social-icon',
        'label'       => 'Social Widget',
        'desc'        => 'Off/On Social Widget',
        'std'		=> 'off',
		'type'		=> 'on-off',
        'section'     => 'social'
		
      ),
	  array(
        'id'          => 'facebook',
        'label'       => 'Facebook_url',
        'desc'        => 'Put your facebook url example:http://facebook.com/nazmul.h.feni',
        'type'        => 'textarea_simple',
		'rows'        => '2',
        'section'     => 'social'
		
      ),
	   array(
        'id'          => 'twitter',
        'label'       => 'twitter_url',
        'desc'        => 'Put your twitter full url example:http://twitter.com/nazmulfeni4',
        'type'        => 'textarea_simple',
		'rows'        => '2',
        'section'     => 'social'
		
      ),
	  array(
        'id'          => 'youtube',
        'label'       => 'youtube_url',
        'desc'        => 'Put your youtube full url example:http://youtube.com/nazmulfeni4',
        'type'        => 'textarea_simple',
		'rows'        => '2',
        'section'     => 'social'
		
      ),
	 	  array(
        'id'          => 'feedburner',
        'label'       => 'feedburner_url',
        'desc'        => 'Put your feedburner full url example:http://feeds.feedburner.com/onlyhowto24',
        'type'        => 'textarea_simple',
		'rows'        => '2',
        'section'     => 'social'
		
      ),
	  array(
        'id'          => 'email',
        'label'       => 'email',
        'desc'        => 'Put your email example:nazmulfeni4@gmail.com',
        'type'        => 'textarea_simple',
		'rows'        => '2',
        'section'     => 'social'
		
      ),
	  
	   array(
        'id'          => 'header-cads',
        'label'       => 'Header Ad Code',
        'desc'        => 'Put your Header Advertisement Code 468px  X  60px .Must Be Add Full HTML Code',
        'type'        => 'textarea_simple',
		'rows'        => '5',
        'section'     => 'ads'
		
      ), 
	  array(
        'id'          => 'before_related',
        'label'       => 'before_related Ad',
        'desc'        => 'Put your before_related Advertisement Code 468px  X  60px .Must Be Add Full HTML Code',
        'type'        => 'textarea_simple',
		'rows'        => '5',
        'section'     => 'ads'
		
      ),
	  array(
        'id'          => 'header_below_ad',
        'label'       => 'Header Ad below First Menu',
        'desc'        => 'Put your below First Menu Advertisement Code 728px  X  90px .Must Be Add Full HTML Code',
        'type'        => 'textarea_simple',
		'rows'        => '5',
        'section'     => 'ads'
		
      ),
	  array(
        'id'          => 'footer_ad',
        'label'       => 'Footer Ad before Credit',
        'desc'        => 'Put your Ad before Credit Advertisement Code 728px  X  90px .Must Be Add Full HTML Code',
        'type'        => 'textarea_simple',
		'rows'        => '5',
        'section'     => 'ads'
		
      ),
	  array(
        'id'          => 'below_title',
        'label'       => 'Below Post title Ad',
        'desc'        => 'Put your Below Post title Advertisement Code 300px  X  250px .Must Be Add Full HTML Code',
        'type'        => 'textarea_simple',
		'rows'        => '5',
        'section'     => 'ads'
		
      ),
	  // Footer: Copyright
		array(
			'id'		=> 'copyright',
			'label'		=> 'Footer Copyright',
			'desc'		=> 'Replace the footer copyright text',
			'type'		=> 'text',
			'section'	=> 'footer'
		),
		// Footer: Credit
		array(
			'id'		=> 'credit',
			'label'		=> 'Footer Credit',
			'desc'		=> 'Footer credit text',
			'std'		=> 'on',
			'type'		=> 'on-off',
			'section'	=> 'footer'
		),
    )
	
  );

  if ( $saved_settings !== $custom_settings ) {
    update_option( 'option_tree_settings', $custom_settings ); 
  }
  
}
 ?>